Skip to main content

Validate wallet address

Check the validity of the wallet address and its optional Extra ID for the currency.

HTTP request​

post
/v1/validate-address

Request​

Header parameters​

Requires authentification.

Body parameters​

NameTypeRequiredDescription
currencystringtrueCryptocurrency ticker (in uppercase).
walletAddressstringtrueRecipient wallet address.
walletExtraIdstringfalseProperty required for wallet addresses of currencies that use an additional ID for transaction processing (XRP, XLM, EOS, BNB).
Sample payload
application/json
{
"currency": "XRP",
"walletAddress": "rwpMvfxood******************WDwQyHUW",
"extraId": "1234hg"
}
Sample cURL
curl --location --request POST 'https://fiat-api.changelly.com/v1/validate-address'
--header 'X-Api-Key: {{apiKey}}'
--header 'X-Api-Signature: {{signature}}'
--data-raw '{
"currency": "XRP",
"walletAddress": "rwpMvfxood******************WDwQyHUW",
"walletExtraId": "1234hg"
}'

Response​

Response params​

NameTypeRequiredDescription
resultbooleantruefalse if the wallet address or extra ID is incorrect.
causestringtrueEnum: walletAddress walletExtraId.
Specifies whether the wallet address or extra ID is incorrect.
If result is true, cause is null.
Sample response
application/json
{
"result": false,
"cause": "walletExtraId"
}

Error response​

Error response parameters​

Check the error response schema.

Possible error types in the errorType item:

TypeDescription
validationValidation error.

The errorDetails item schema:

NameTypeRequiredDescription
causestringtrueError cause. For example, it can equal the missing request parameter for the validation error type.
valuestringtrueError value.

Error codes​

CodeMessage
400Bad request
401Unauthorized
404Not found
429Too many requests
500InternalServerError
Bad Request
{
"errorType": "validation",
"errorMessage": "Validation error",
"errorDetails": [
{
"cause": "currency",
"value": "currency must be uppercase"
}
]
}